Bug 428985

Summary: Instant BUG/panic booting rawhide KDE 4 Live CD on Virtual PC
Product: [Fedora] Fedora Reporter: Chris January <chris>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: noah.gehmair
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 11:41:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705    

Description Chris January 2008-01-16 11:32:42 EST
Description of problem:

After Uncompressing Linux... the following BUG appears:

BUG: Int 6: CR2 00000000
     EDI c07357c0  ESI c0945fa0  EBP c076cf58  ESP c076cef4
     EBX 00000046  EDX 00000006  ECX c0945fa0  EAX c0945fa0
     err 00000000  EIP c044c88c   CS 00000060  flg 00000002
Stack: c0430309 00000400 c04302ab c076cfa0 00000000 00000002 00000000 00000000
       c07352f0 00000046 c0729460 c08549e5 00000000 00000000 00000000 00000000
       00000000 00000000 00000046 c07352f0 c07357c0 c076df78 c044d6d1 00000000

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a Virtual Machine with default settings, 512Mb RAM.
2. Boot from rawhide-KDE4-i686-20080109.4.iso
Actual results:

Crashes almost straight away with BUG.

Expected results:

Boots into KDE 4 desktop.

Additional information:

Processor: Intel Pentium D
Host: Windows Vista / Virtual PC 2007
Comment 1 Chuck Ebbert 2008-01-16 17:20:11 EST
Can you get the Linux kernel version from that disk?
Comment 2 Chris January 2008-01-18 05:31:24 EST
2.6.24-0.138.rc7.fc9 (mockbuild@) #1 SMP Sun Jan 6 20:35:23 EST 2008
Comment 3 Noah Gehmair 2008-03-18 16:34:56 EDT
I have exactly the same issue after upgrading the kernel on some FC8 virtual
machines to These are running on Virtual Server 2005 R2. I have
tried this on two different Virtual Server hosts with the same result. 
Comment 4 Jason Duerstock 2008-03-27 14:56:44 EDT
I have a similar problem, but it is with the Fedora 9 install DVD.  The crash is
within Virtual PC 2007 on a Pentium 4.

The last few lines of kernel log looks like this:

CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Compat vDSO mapped to ffffe000.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code

Then the Virtual PC crashes with the following message:

"An unrecoverable processor error has occurred.  The virtual machine will reset
now. [RESET]"
Comment 5 Dave Jones 2008-04-01 20:36:05 EDT
I'm curious if this still happens with the latest tree.  I turned off the page
allocation debugging a few days ago, I wonder if that was tickling bugs in the
pagefault handlers of these emulators.
Comment 6 Chris January 2008-04-02 03:55:12 EDT
Fedora 9 beta still fails to boot although the failure mode is different (it's
the same as comment #4).
Comment 7 Kevin Kofler 2008-04-12 09:59:20 EDT
This bug has nothing to do with KDE, moving to F9KernelBlocker, feel free to 
reclassify (F9Target?) if this is not appropriate.
Comment 8 Chuck Ebbert 2008-04-14 18:22:58 EDT
By definition this is a bug in Virtual PC.
Comment 9 Chris January 2008-04-15 04:22:40 EDT
Even so, are there not workarounds for hardware bugs in the kernel? (Even if, in
this case, the hardware is virtual).
I will also try it on Virtual Server as it will be easier to follow up with
Comment 10 Jesse Keating 2008-04-18 15:17:03 EDT
Moving to target, not a release blocker.
Comment 11 Bug Zapper 2008-05-14 00:47:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 12 Bug Zapper 2009-06-09 19:23:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Bug Zapper 2009-07-14 11:41:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.